Debian Bug report logs - #595817
ITP: libpam-ssh-agent-auth -- PAM module providing authentication via ssh-agent

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matt Brown <mattb@debian.org>

Date: Mon, 6 Sep 2010 20:33:01 UTC

Owned by: "Tong Sun" <suntong001@users.sourceforge.net>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, webmaster@symbian.org, wnpp@debian.org:
Bug#595817; Package wnpp. (Mon, 06 Sep 2010 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Brown <mattb@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, webmaster@symbian.org, wnpp@debian.org. (Mon, 06 Sep 2010 20:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Brown <mattb@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Mon, 06 Sep 2010 21:28:03 +0100
Package: wnpp
Severity: wishlist
Owner: Matt Brown <mattb@debian.org>

* Package name    : libpam-ssh-agent
  Version         : 0.9.2
  Upstream Author : Jamie Beverly <jamie.r.beverly@gmail.com>
* URL             : http://sourceforge.net/projects/pamsshagentauth/
* License         : BSD
  Programming Lang: C
  Description     : PAM module providing authentication via ssh-agent

This pluggable authentication module (PAM) provides authentication via secure
shell (SSH) agent.  Written with sudo in mind, but like any auth PAM module,
can be used for many purposes.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Matt Brown <mattb@debian.org>:
Bug#595817; Package wnpp. (Mon, 06 Sep 2010 21:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Matt Brown <mattb@debian.org>. (Mon, 06 Sep 2010 21:03:08 GMT) Full text and rfc822 format available.

Message #10 received at 595817@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Matt Brown <mattb@debian.org>
Cc: 595817@bugs.debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Mon, 06 Sep 2010 23:57:40 +0300
Matt Brown <mattb@debian.org> writes:
> This pluggable authentication module (PAM) provides authentication via secure
> shell (SSH) agent.  Written with sudo in mind, but like any auth PAM module,
> can be used for many purposes.

Is there any way to see what sudo command is being authenticated?

If you are interested I'm trying to develop a wrapper for sudo that
offers a non-spoofable way to verify what command is really being
authorized: http://lindi.iki.fi/lindi/darcs/sido/README







Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#595817; Package wnpp. (Mon, 06 Sep 2010 21:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Brown <mattb@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Sep 2010 21:09:10 GMT) Full text and rfc822 format available.

Message #15 received at 595817@bugs.debian.org (full text, mbox):

From: Matt Brown <mattb@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 595817@bugs.debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Mon, 6 Sep 2010 22:07:18 +0100
On Mon, Sep 6, 2010 at 9:57 PM, Timo Juhani Lindfors
<timo.lindfors@iki.fi> wrote:
> Matt Brown <mattb@debian.org> writes:
>> This pluggable authentication module (PAM) provides authentication via secure
>> shell (SSH) agent.  Written with sudo in mind, but like any auth PAM module,
>> can be used for many purposes.
>
> Is there any way to see what sudo command is being authenticated?

sudo logs the command being run as part of it's standard logging, e.g:

Sep  6 21:18:45 neon sudo[1589]: pam_ssh_agent_auth: Authenticated:
`matt' as `matt' using /etc/security/authorized_keys
Sep  6 21:18:45 neon sudo:     matt : TTY=pts/1 ; PWD=/home/matt ;
USER=root ; COMMAND=/bin/bash

-- 
Matt Brown
matt@mattb.net.nz
Mob +353 86 608 7117 www.mattb.net.nz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Matt Brown <mattb@debian.org>:
Bug#595817; Package wnpp. (Mon, 06 Sep 2010 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Matt Brown <mattb@debian.org>. (Mon, 06 Sep 2010 21:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 595817@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Matt Brown <mattb@debian.org>
Cc: 595817@bugs.debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Tue, 07 Sep 2010 00:18:51 +0300
Matt Brown <mattb@debian.org> writes:
> sudo logs the command being run as part of it's standard logging, e.g:

Yes after the fact. I meant, is there a way to see before I click
"accept" in my ssh-agent?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#595817; Package wnpp. (Mon, 06 Sep 2010 22:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Brown <mattb@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Sep 2010 22:54:07 GMT) Full text and rfc822 format available.

Message #25 received at 595817@bugs.debian.org (full text, mbox):

From: Matt Brown <mattb@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 595817@bugs.debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Mon, 6 Sep 2010 23:50:53 +0100
On Mon, Sep 6, 2010 at 10:18 PM, Timo Juhani Lindfors
<timo.lindfors@iki.fi> wrote:
> Matt Brown <mattb@debian.org> writes:
>> sudo logs the command being run as part of it's standard logging, e.g:
>
> Yes after the fact. I meant, is there a way to see before I click
> "accept" in my ssh-agent?

Not currently.

If you think such a feature would be useful you're probably best to
talk to the upstream developers directly.

Cheers

-- 
Matt Brown
matt@mattb.net.nz
Mob +353 86 608 7117 www.mattb.net.nz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Matt Brown <mattb@debian.org>:
Bug#595817; Package wnpp. (Thu, 09 Sep 2010 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Matt Brown <mattb@debian.org>. (Thu, 09 Sep 2010 08:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 595817@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Matt Brown <mattb@debian.org>
Cc: 595817@bugs.debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Thu, 09 Sep 2010 10:45:47 +0200
[Matt Brown]
> This pluggable authentication module (PAM) provides authentication
> via secure shell (SSH) agent.  Written with sudo in mind, but like
> any auth PAM module, can be used for many purposes.

How is it different from libpam-ssh?  How will it interact with
ssh-agent which starts from Xsession.d/?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Matt Brown <mattb@debian.org>:
Bug#595817; Package wnpp. (Fri, 10 Sep 2010 08:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Box <craig.box@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Matt Brown <mattb@debian.org>. (Fri, 10 Sep 2010 08:45:06 GMT) Full text and rfc822 format available.

Message #35 received at 595817@bugs.debian.org (full text, mbox):

From: Craig Box <craig.box@gmail.com>
To: 595817@bugs.debian.org, mattb@debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Fri, 10 Sep 2010 09:42:37 +0100
> How is it different from libpam-ssh?

libpam-ssh lets you log into a local console (terminal, GDM, etc) with
an SSH passphrase that unlocks your local private key.  It then starts
an SSH agent and adds your key to it.

libpam-ssh-agent allows you to SSH to a machine with agent forwarding,
and use the agent to authorise PAM transactions, most notably sudo.
The upshot of this is that I can go:

  machine1:~$ ssh -A machine2
  machine2:~$ sudo su -
  machine2:/ #

I am not prompted for a password to sudo, because libpam-ssh-agent
authorises me against my forwarded agent.  If I do not have agent
forwarding, PAM will follow its usual chain of methods for asking for
a credential, generally asking for a password:

  machine1:~$ ssh machine2
  machine2:~$ sudo su -
  Password:

> How will it interact with ssh-agent which starts from Xsession.d/?

If you start your own SSH agent, and add your private key, a standard
configuration would be to use this PAM module to allow you to sudo
with your agent (no password), the same way you could then SSH to
other servers with your agent (no password).

Craig




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Matt Brown <mattb@debian.org>:
Bug#595817; Package wnpp. (Mon, 20 Sep 2010 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Peignier <alban@tryphon.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Matt Brown <mattb@debian.org>. (Mon, 20 Sep 2010 16:21:03 GMT) Full text and rfc822 format available.

Message #40 received at 595817@bugs.debian.org (full text, mbox):

From: Alban Peignier <alban@tryphon.eu>
To: 595817@bugs.debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Mon, 20 Sep 2010 18:08:18 +0200
We created a libpam-ssh-agent package to test this authentication method.

The git repository is here :
http://github.com/albanpeignier/libpam-ssh-agent-debian

The source and binary packages are into our repository :
http://debian.tryphon.eu

Regards,
-- 
Alban Peignier - alban@tryphon.eu

Tryphon : Radio, Web et Logiciels Libres
http://www.tryphon.eu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Matt Brown <mattb@debian.org>:
Bug#595817; Package wnpp. (Tue, 28 Sep 2010 14:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Box <craig.box@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Matt Brown <mattb@debian.org>. (Tue, 28 Sep 2010 14:18:07 GMT) Full text and rfc822 format available.

Message #45 received at 595817@bugs.debian.org (full text, mbox):

From: Craig Box <craig.box@gmail.com>
To: 595817@bugs.debian.org
Subject: Re: Bug#595817: ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
Date: Tue, 28 Sep 2010 15:16:19 +0100
[Message part 1 (text/plain, inline)]
So Alban, what do you think?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Matt Brown <mattb@debian.org>:
Bug#595817; Package wnpp. (Wed, 27 Jul 2011 16:33:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Matt Brown <mattb@debian.org>. (Wed, 27 Jul 2011 16:33:17 GMT) Full text and rfc822 format available.

Message #50 received at 595817@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 595817@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libpam-ssh-agent: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:33 +0200
retitle 595817 RFP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
noowner 595817
thanks

Hi,

This is an automatic email to change the status of libpam-ssh-agent back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libpam-ssh-agent, please send a mail to
<control@bugs.debian.org> with:

 retitle 595817 ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent
 owner 595817 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <595817@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent' from 'ITP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:43:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Matt Brown <mattb@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:43:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#595817; Package wnpp. (Thu, 29 Nov 2012 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 29 Nov 2012 10:18:03 GMT) Full text and rfc822 format available.

Message #59 received at 595817@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 595817@bugs.debian.org
Subject: upstream's packaging
Date: Thu, 29 Nov 2012 11:15:09 +0100
[Message part 1 (text/plain, inline)]
upstream keeps a ./debian/ directory in his package, which produces a
working package. it would need some enhancements (ill-formatted files,
old standards version), but can make a good starting point for creating
a package fit for inclusion in debian (which i currently don't have the
time to).
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: libpam-ssh-agent-auth -- PAM module providing' from 'RFP: libpam-ssh-agent -- PAM module providing authentication via ssh-agent' Request was from Tong Sun <suntong001@users.sourceforge.net> to control@bugs.debian.org. (Tue, 09 Jul 2013 19:03:10 GMT) Full text and rfc822 format available.

Owner recorded as Tong Sun <suntong001@users.sourceforge.net>. Request was from Tong Sun <suntong001@users.sourceforge.net> to control@bugs.debian.org. (Tue, 09 Jul 2013 19:03:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: libpam-ssh-agent-auth -- PAM module providing authentication via ssh-agent' from 'ITP: libpam-ssh-agent-auth -- PAM module providing' Request was from "Tong Sun" <suntong001@users.sourceforge.net> to control@bugs.debian.org. (Thu, 11 Jul 2013 02:39:08 GMT) Full text and rfc822 format available.

Owner changed from Tong Sun <suntong001@users.sourceforge.net> to "Tong Sun" <suntong001@users.sourceforge.net>. Request was from "Tong Sun" <suntong001@users.sourceforge.net> to control@bugs.debian.org. (Thu, 11 Jul 2013 02:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>:
Bug#595817; Package wnpp. (Sat, 20 Jul 2013 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong001@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>. (Sat, 20 Jul 2013 22:12:04 GMT) Full text and rfc822 format available.

Message #72 received at 595817@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong001@users.sourceforge.net>
To: package-sponsorship-requests@lists.debian.org, debian-mentors@lists.debian.org
Cc: 595817@bugs.debian.org, 16852@bugs.debian.org
Subject: Bug#716852: RFS: libpam-ssh-agent-auth/0.9.5-2.2 [ITP]
Date: Sat, 20 Jul 2013 18:09:43 -0400
Dear mentors,

I am looking for a sponsor for my package "libpam-ssh-agent-auth".
I'v already sent the sponsor request previously, ref,
http://lists.debian.org/package-sponsorship-requests/2013/package-sponsorship-requests-201307/msg00087.html

This is a new upload.

 * Package name    : libpam-ssh-agent-auth
   Version         : 0.9.5-2.2
   Upstream Author : Jamie Beverly <soupboy@sourceforge.net>
 * URL             : http://sourceforge.net/projects/pamsshagentauth/
 * License         : BSD License
   Section         : libs

  It builds those binary packages:

    libpam-ssh-agent-auth - PAM Authentication via forwarded ssh-agent

To access further information about this package, please visit the
following URL:

  http://mentors.debian.net/package/libpam-ssh-agent-auth

Alternatively, one can download the package with dget using this command:

    dget -x http://mentors.debian.net/debian/pool/main/libp/libpam-ssh-agent-auth/libpam-ssh-agent-auth_0.9.5-2.2.dsc

More information about libpam-ssh-agent-auth can be obtained from
http://sfxpt.wordpress.com/libpam-ssh-agent-auth/.

Changes since the last upload:

  libpam-ssh-agent-auth (0.9.5-2.2) unstable; urgency=low

  * Fixes so as to build the binary package properly


Regards,
Tong Sun

PS. Please CC me when replying.

Thanks



Added blocking bug(s) of 595817: 716852 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 04 Aug 2013 04:27:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>:
Bug#595817; Package wnpp. (Wed, 18 Sep 2013 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>. (Wed, 18 Sep 2013 10:54:04 GMT) Full text and rfc822 format available.

Message #79 received at 595817@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: Tong Sun <suntong001@users.sourceforge.net>
Cc: 595817@bugs.debian.org
Subject: package review
Date: Wed, 18 Sep 2013 12:49:47 +0200
[Message part 1 (text/plain, inline)]
hello tong,

i'm having a look at your libpam-ssh-agent-auth package, as i'd like to
use it too.

here are some things you should have a look at before the package can be
uploaded:

* changelog: dots inside the debian part of the version number are
  reserved for non-maintainer uploads (NMUs); when you're changing the
  package yourself, just increment the debian part. even better: use the
  dch utility, which will usually do the right thing. it will also
  prevent formating errors like missing lines as in the older versions
  by jamie.

  also, the changelog should probably be condensed into a single log
  entry for the first upload (ie. the version should be 0.9.5-1), and it
  should definitely contain a "(Closes: #595817)" text, so that the ITP
  bug gets closed when it hits the archive.

* control: where did you take the build-depends from? i was curious
  about groff-base, had my doubts about mime-support, but
  libgl1-mesa-glx very definitely does not belong here.

* control: if you want to have a paragraph break in the description,
  leave an empty line (as it is common with many plain-text systems).

  empty line in the context of a debian/control field means that the
  line contains a single indented dot (otherwise, it could be mistaken
  for the beginning of a new section):

  > keyring in a forwarded ssh-agent.
  > .
  > This module can be used to provide authentication for anything run locally that

* copyright: as you are now modifying the debian packaging, your name
  should be listed in the "The Debian packaging is copyright" section of
  the copyright file.

  please also check whether the license described there really applies
  to the source code -- i only checked punctually, but the license text
  in pam_ssh_agent_auth.c is different from debian/copyright.

* dirs / libpam-ssh-agent-auth.dirs: you only need one of those; see the
  man page of dh_installdirs. what debian/dirs does can be read from the
  debhelper man page (section "debhelper config files"), but in short,
  debian/dirs is a shorthand for debian/$PACKAGE.dirs if there is only
  one binary package in your source package.

* README: the situation with README is a little confusing -- it's inside
  debian/, and its heading states it is about debian, but its content is
  not specific to debian. actually, this file should be in the upstream
  tarball outside the debian/ dir (which should not be in the upstream
  tarball anyway).

  in my opinion, this is nothing you can directly change well -- just
  ship the README file by adding a line "debian/README" to debian/docs
  (to be picked up by dh_installdocs) for the time being, and talk to
  upstream about dropping his debian directory and shipping this README
  as a generic readme file.

* README.Debian:

  * this should definitely not be executable.
  
  * README.Debian files are usually wrapped to around 80 characters, and
    uses empty lines for paragraph separation. as far as i know, there
    is no definite "non-markup" language used there, just common sense,
    so your heading indications with leading '=' and the '+' around
    commands are not technically wrong, but a more widespread formatting
    would be:


    > The problem
    > ===========
    > 
    > `sudo` is a mechanism for unprivileged user to gain privileged
    > accesses.

    don't bother too much with this, just be aware and have a look at
    other README.Debian files around.

  * for others who want to base their decisions on my review: i have not
    actually read the whole text.

* rules: do you understand what all the lines there are doing? given the
  standards version, chances are that this file has been generated some
  time ago, and procedures have changed.

  a rules file like this has the same effect:

  > #!/usr/bin/make -f
  > # -*- makefile -*-
  > 
  > # Uncomment this to turn on verbose mode.
  > #export DH_VERBOSE=1
  > 
  > %:
  > 	dh $@
  > 
  > override_dh_auto_configure:
  > 	dh_auto_configure -- --libexecdir=/lib/security --with-mantype=man

  (debian/libpam-ssh-agent-auth.install is not needed any more then.)

* please have a look at the warnings lintian throws when running over
  the package. the biggest problems are also listed on the mentors
  page[1], but you can always check the results of a build process using
  `lintian ../libpam-ssh-agent-auth_0.9.5-2.2_amd64.changes -IE
  --color`. you should aim for fixing them (though some of them don't
  need to be fixed right now; for example, spelling-error-in-manpage is
  better forwarded upstream and fixed with the next upstream release).

best regards
chrysn

[1] http://mentors.debian.net/package/libpam-ssh-agent-auth

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>:
Bug#595817; Package wnpp. (Sat, 22 Mar 2014 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>. (Sat, 22 Mar 2014 18:39:05 GMT) Full text and rfc822 format available.

Message #84 received at 595817@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 595817@bugs.debian.org
Cc: timo@tiwe.de
Subject: update on pam-ssh-agent-auth
Date: Sat, 22 Mar 2014 19:32:47 +0100
[Message part 1 (text/plain, inline)]
as of submitting own patches to pam-ssh-agent-auth (related to the sudo
argument issue hinted at by timo lindfors, which is thereby fixed), i
cleaned up upstream's debian directory, made a debian branch of it, and
published it at `git://prometheus.amsuess.com/pam-ssh-agent-auth`.
(relevant branches are jamie (upstream's devel branch), chrysn/patches
(required for operation with ssh-agent-filter), master (upstream's
release branch) and debian (if you merge chrysn/patches in there, you
might need to `git checkout debian -- debian/*` for conflict
resolution)).

i might take up this rfp (which i assume it is by now), provided that
interaction with upstream goes well, and that someone helps me review
the security implications of packaging a pam module. if someone else
wants to step in, the abovementioned git repo should be a usable
starting point.

best regards
chrysn
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>:
Bug#595817; Package wnpp. (Thu, 24 Apr 2014 14:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Tong Sun" <suntong001@users.sourceforge.net>. (Thu, 24 Apr 2014 14:09:11 GMT) Full text and rfc822 format available.

Message #89 received at 595817@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: Peter Foley <peter@ifoley.id.au>
Cc: 595817@bugs.debian.org
Subject: Re: pam-ssh-agen-auth deb package
Date: Thu, 24 Apr 2014 16:04:52 +0200
[Message part 1 (text/plain, inline)]
hello peter,

> I am planning to try to build a deb file using your git repo, reading
> through your post I have cloned the repository.

the information there is indeed slightly outdated; the new status is:

* all my patches were applied, the chrysn/patches branch went away
* upstream has released a version with that, there is an appropriate
  pristine-tar branch
* the current debian branch works, and i'd take this bug as rfp and
  package as maintainer (which i'd be then try to have sponsored as is)
  if i can get third party comments on the security side of the
  implementation.
 
in the meantime, to try it out, you can do

$ git clone git://prometheus.amsuess.com/pam-ssh-agent-auth -b debian
$ cd pam-ssh-agent-auth
$ git branch --track pristine-tar origin/pristine-tar
$ git-buildpackage

to build your packages out of it and test it.

best regards
chrysn

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:49:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.